Printago API
GET /v1/integrations/cloud-storage/{provider}/{integrationId}/folders

List folders in a cloud-storage account for folder selection

List folders in a cloud-storage account for folder selection.

Requires: integration.view

Path Parameters

provider required
string
The cloud storage provider
integrationId required
string
The cloud storage integration ID

Query Parameters

parentFolderId required
string

Response Schema

CloudStorageFolderItem[]
Array of CloudStorageFolderItem, each with:
idrequired
string
namerequired
string
pathoptional
string

Example Response

200 OK — application/json
[
  {
    "id": "string",
    "name": "string",
    "path": "string"
  }
]